Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class AuditMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage

Direct Known Subclasses:
  ActorStartMessage, ActorStopMessage, ExportMessage, ImportMessage, NodeAuthenticationFailureMessage, PatientRecordMessage, QueryMessage, UserAuthenticationMessage

    public class AuditMessage

extends java.lang.Object

Field Summary
`static java.lang.String` | `DB_AuditMessage`
`static int` | `VARCHAR_LENGTH`

Constructor Summary
`AuditMessage()` Constructor AuditMessage.

Method Summary
`java.util.List` | `getAuditSourceIdentification()` Gets the value of the auditSourceIdentification property.
`EventIdentificationType` | `getEventIdentification()`
`java.util.List` | `getParticipantObjectIdentification()` Gets the value of the participantObjectIdentification property.
`static boolean` | `IsValid(org.w3c.dom.Element el)`
`static void` | `main(java.lang.String[] args)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setActiveParticipant(ActiveParticipantType participant)`
`void` | `setAuditSourceId(java.lang.String auditSourceId)`
`void` | `setAuditSourceIdentification(AuditSourceIdentificationType identificationType)`
`void` | `setEventDateTime(java.lang.String eventDateTime)`
`void` | `setEventIdentification(EventIdentificationType value)` Sets the value of the eventIdentification property.
`void` | `setEventOutcomeIndicator(int eventOutcomeIndicator)`
`void` | `setParticipantObjectId(java.lang.String participantObjectId)`
`void` | `setParticipantObjectQuery(java.lang.String participantObjectQuery)`
`void` | `setParticipationObjectIdentification(ParticipantObjectIdentificationType participantObject)`
`void` | `setUserIDActiveParticipantConsumer(java.lang.String userIDActiveParticipantRegistry)`
`void` | `setUserIDActiveParticipantRegistry(java.lang.String userIDActiveParticipantConsumer)`
`java.lang.String` | `toHtml()` Java class for anonymous complex type.
`java.lang.String` | `toXml()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_AuditMessage

    public static java.lang.String DB_AuditMessage

### VARCHAR_LENGTH

    public static int VARCHAR_LENGTH

Constructor Detail

### AuditMessage

    public AuditMessage()
                 throws javax.xml.parsers.ParserConfigurationException,
                        javax.xml.parsers.FactoryConfigurationError

  Constructor AuditMessage.
  the AuditSource elements are auto generated and contain the IP Address of the local machine.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError` - Construct an empty AuditMessage object. Create the XML tree with DOM.

Method Detail

### setEventOutcomeIndicator

    public void setEventOutcomeIndicator(int eventOutcomeIndicator)

### setEventDateTime

    public void setEventDateTime(java.lang.String eventDateTime)

### getEventIdentification

    public EventIdentificationType getEventIdentification()

### setEventIdentification

    public void setEventIdentification(EventIdentificationType value)

  Sets the value of the eventIdentification property.

  Parameters:
    `value` - allowed object is `EventIdentificationType`

### setActiveParticipant

    public void setActiveParticipant(ActiveParticipantType participant)

### getAuditSourceIdentification

    public java.util.List getAuditSourceIdentification()

  Gets the value of the auditSourceIdentification property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the auditSourceIdentification property.

  For example, to add a new item, do as follows:

          getAuditSourceIdentification().add(newItem);

  Objects of the following type(s) are allowed in the list `AuditSourceIdentificationType`

### setAuditSourceIdentification

    public void setAuditSourceIdentification(AuditSourceIdentificationType identificationType)

### getParticipantObjectIdentification

    public java.util.List getParticipantObjectIdentification()

  Gets the value of the participantObjectIdentification property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the participantObjectIdentification property.

  For example, to add a new item, do as follows:

          getParticipantObjectIdentification().add(newItem);

  Objects of the following type(s) are allowed in the list `ParticipantObjectIdentificationType`

### setParticipationObjectIdentification

    public void setParticipationObjectIdentification(ParticipantObjectIdentificationType participantObject)

### toHtml

    public java.lang.String toHtml()

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{}ActiveParticipantType">
           </extension>
         </complexContent>
       </complexType>

### toXml

    public java.lang.String toXml()

### IsValid

    public static boolean IsValid(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)
               throws javax.xml.parsers.ParserConfigurationException,
                      javax.xml.parsers.FactoryConfigurationError,
                      ATNAException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

### main

    public static void main(java.lang.String[] args)

### setUserIDActiveParticipantConsumer

    public void setUserIDActiveParticipantConsumer(java.lang.String userIDActiveParticipantRegistry)

### setUserIDActiveParticipantRegistry

    public void setUserIDActiveParticipantRegistry(java.lang.String userIDActiveParticipantConsumer)

### setAuditSourceId

    public void setAuditSourceId(java.lang.String auditSourceId)

### setParticipantObjectId

    public void setParticipantObjectId(java.lang.String participantObjectId)

### setParticipantObjectQuery

    public void setParticipantObjectQuery(java.lang.String participantObjectQuery)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD